1 - create the project and istall pods that i maybe need them to parse the data (SWIFTY JSON, ALAMOFIRE)
2 - Create the First Screen (UITableView, UITableViewCell, Labels and UIImages)
3 - Follow the mvc architecture and organize the code 
4 - right code for parsing data 
5 - load data into tableview


to improve this ui i can 
- add some UImages to show the logo of every chanel and the logo also of tv show 
- add a status of the tvshow ( like Live broadcast ) 
- display details of every tvshow
- show times if there is a replay of a tvshow later 
- and improve background for better user experience 